#include "amxxmodule.h"
#include <string>
#include <vector>
#include <regex>

std::vector<std::string> badaliases;

static cell AMX_NATIVE_CALL add_new_bad_alias(AMX* amx, cell* params)
{
	const char* pcNewAlias = MF_GetAmxString(amx, params[1], 0, nullptr);

	if (pcNewAlias)
	{
		badaliases.push_back(pcNewAlias);
		return 1;
	}

	return 0;
}

static cell AMX_NATIVE_CALL search_bad_alias(AMX* amx, cell* params)
{
	const char* pcCmd = MF_GetAmxString(amx, params[1], 0, nullptr);

	std::smatch m;
	std::regex e;   // matches words beginning by "sub"

	if (pcCmd)
	{
		for (auto str : badaliases)
		{
			e = str;
			if (std::regex_search(str, m, e))
			{
				return 1;
			}
		}
	}

	return 0;
}

AMX_NATIVE_INFO my_Natives[] =
{
	{"add_new_bad_alias",	add_new_bad_alias},
	{"search_bad_alias",	search_bad_alias},
	{NULL,			NULL},
};

void OnAmxxAttach()
{
	if (!badaliases.empty())
		badaliases.clear();
	MF_AddNatives(my_Natives);
}

